Skip to main content
GET
/
v1
/
trading-accounts
/
{trading_account_id}
Get a trading account
curl --request GET \
  --url https://api.anthid.com/v1/trading-accounts/{trading_account_id}
{
  "broker_account_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "enabled": true,
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "2023-11-07T05:31:56Z",
  "name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.anthid.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

trading_account_id
string<uuid>
required

Trading account id to fetch

Response

Trading account retrieved

broker
enum<string>
required
Available options:
unspecified,
lightspeed,
alpaca
broker_account_id
string
required
created_at
string<date-time>
required
enabled
boolean
required
environment
enum<string>
required
Available options:
paper,
live
id
string<uuid>
required
organization_id
string<uuid>
required
updated_at
string<date-time>
required
name
string | null